Show / Hide Table of Contents

# Class ClientState

This class represents the state of the game client at the time of access.

##### Inheritance

System.Object
ClientState

##### Implements

System.ComponentModel.INotifyPropertyChanged
System.IDisposable

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.ClientState

###### Assembly: Dalamud.dll

##### Syntax

    public class ClientState : INotifyPropertyChanged, IDisposable

### Constructors

| Improve this Doc View Source

#### ClientState(Dalamud, DalamudStartInfo, SigScanner)

Set up client state access.

##### Declaration

    public ClientState(Dalamud dalamud, DalamudStartInfo startInfo, SigScanner scanner)

##### Parameters

Type | Name | Description
--- | --- | ---
Dalamud | dalamud | Dalamud instance
DalamudStartInfo | startInfo | StartInfo of the current Dalamud launch
SigScanner | scanner | Sig scanner

### Fields

| Improve this Doc View Source

#### Actors

The table of all present actors.

##### Declaration

    public readonly ActorTable Actors

##### Field Value

Type | Description
--- | ---
ActorTable |

| Improve this Doc View Source

#### ClientLanguage

##### Declaration

    public readonly ClientLanguage ClientLanguage

##### Field Value

Type | Description
--- | ---
ClientLanguage |

| Improve this Doc View Source

#### Condition

Provides access to client conditions/player state. Allows you to check if a player is in a duty, mounted, etc.

##### Declaration

    public Condition Condition

##### Field Value

Type | Description
--- | ---
Condition |

| Improve this Doc View Source

#### JobGauges

The class facilitating Job Gauge data access

##### Declaration

    public JobGauges JobGauges

##### Field Value

Type | Description
--- | ---
JobGauges |

| Improve this Doc View Source

#### KeyState

Provides access to the keypress state of keyboard keys in game.

##### Declaration

    public KeyState KeyState

##### Field Value

Type | Description
--- | ---
KeyState |

| Improve this Doc View Source

#### PartyList

The class facilitating party list data access

##### Declaration

    public PartyList PartyList

##### Field Value

Type | Description
--- | ---
PartyList |

| Improve this Doc View Source

#### Targets

The class facilitating target data access

##### Declaration

    public Targets Targets

##### Field Value

Type | Description
--- | ---
Targets |

| Improve this Doc View Source

#### TerritoryChanged

Event that gets fired when the current Territory changes.

##### Declaration

    public EventHandler<ushort> TerritoryChanged

##### Field Value

Type | Description
--- | ---
System.EventHandler<System.UInt16> |

| Improve this Doc View Source

#### TerritoryType

The current Territory the player resides in.

##### Declaration

    public ushort TerritoryType

##### Field Value

Type | Description
--- | ---
System.UInt16 |

### Properties

| Improve this Doc View Source

#### IsLoggedIn

Gets a value indicating whether a character is logged in.

##### Declaration

    public bool IsLoggedIn { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### LocalContentId

The content ID of the local character.

##### Declaration

    public ulong LocalContentId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### LocalPlayer

The local player character, if one is present.

##### Declaration

    [CanBeNull]
    public PlayerCharacter LocalPlayer { get; }

##### Property Value

Type | Description
--- | ---
PlayerCharacter |

### Methods

| Improve this Doc View Source

#### Dispose()

##### Declaration

    public void Dispose()

| Improve this Doc View Source

#### Enable()

##### Declaration

    public void Enable()

### Events

| Improve this Doc View Source

#### CfPop

Event that gets fired when a duty is ready.

##### Declaration

    public event EventHandler<ContentFinderCondition> CfPop

##### Event Type

Type | Description
--- | ---
System.EventHandler<Lumina.Excel.GeneratedSheets.ContentFinderCondition> |

| Improve this Doc View Source

#### OnLogin

Event that fires when a character is logging in.

##### Declaration

    public event EventHandler OnLogin

##### Event Type

Type | Description
--- | ---
System.EventHandler |

| Improve this Doc View Source

#### OnLogout

Event that fires when a character is logging out.

##### Declaration

    public event EventHandler OnLogout

##### Event Type

Type | Description
--- | ---
System.EventHandler |

| Improve this Doc View Source

#### PropertyChanged

##### Declaration

    public event PropertyChangedEventHandler PropertyChanged

##### Event Type

Type | Description
--- | ---
System.ComponentModel.PropertyChangedEventHandler |

### Implements

System.ComponentModel.INotifyPropertyChanged
System.IDisposable